CentOS 4 : xorg-x11 (CESA-2008:0503)

High Nessus Plugin ID 33364

Synopsis

The remote CentOS host is missing one or more security updates.

Description

Updated xorg-x11 packages that fix several security issues are now available for Red Hat Enterprise Linux 4.

This update has been rated as having important security impact by the Red Hat Security Response Team.

The xorg-x11 packages contain X.Org, an open source implementation of the X Window System. It provides the basic low-level functionality that full-fledged graphical user interfaces are designed upon.

An input validation flaw was discovered in X.org's Security and Record extensions. A malicious authorized client could exploit this issue to cause a denial of service (crash) or, potentially, execute arbitrary code with root privileges on the X.Org server. (CVE-2008-1377)

Multiple integer overflow flaws were found in X.org's Render extension. A malicious authorized client could exploit these issues to cause a denial of service (crash) or, potentially, execute arbitrary code with root privileges on the X.Org server. (CVE-2008-2360, CVE-2008-2361)

An input validation flaw was discovered in X.org's MIT-SHM extension.
A client connected to the X.org server could read arbitrary server memory. This could result in the sensitive data of other users of the X.org server being disclosed. (CVE-2008-1379)

Users of xorg-x11 should upgrade to these updated packages, which contain backported patches to resolve these issues.

Solution

Update the affected xorg-x11 packages.

See Also

http://www.nessus.org/u?df92451d

http://www.nessus.org/u?2e33299b

http://www.nessus.org/u?11e4ea51

Plugin Details

Severity: High

ID: 33364

File Name: centos_RHSA-2008-0503.nasl

Version: 1.14

Type: local

Agent: unix

Published: 2008/07/02

Updated: 2019/10/25

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 9

Temporal Score: 7.8

Vector: CVSS2#AV:N/AC:L/Au:S/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:centos:centos:xorg-x11, p-cpe:/a:centos:centos:xorg-x11-Mesa-libGL, p-cpe:/a:centos:centos:xorg-x11-Mesa-libGLU, p-cpe:/a:centos:centos:xorg-x11-Xdmx, p-cpe:/a:centos:centos:xorg-x11-Xnest, p-cpe:/a:centos:centos:xorg-x11-Xvfb, p-cpe:/a:centos:centos:xorg-x11-deprecated-libs, p-cpe:/a:centos:centos:xorg-x11-deprecated-libs-devel, p-cpe:/a:centos:centos:xorg-x11-devel, p-cpe:/a:centos:centos:xorg-x11-doc, p-cpe:/a:centos:centos:xorg-x11-font-utils, p-cpe:/a:centos:centos:xorg-x11-libs, p-cpe:/a:centos:centos:xorg-x11-sdk, p-cpe:/a:centos:centos:xorg-x11-tools, p-cpe:/a:centos:centos:xorg-x11-twm, p-cpe:/a:centos:centos:xorg-x11-xauth, p-cpe:/a:centos:centos:xorg-x11-xdm, p-cpe:/a:centos:centos:xorg-x11-xfs, cpe:/o:centos:centos:4

Required KB Items: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2008/06/14

Vulnerability Publication Date: 2008/06/16

Reference Information

CVE: CVE-2008-1377, CVE-2008-1379, CVE-2008-2360, CVE-2008-2361

BID: 29665, 29666, 29668, 29669

RHSA: 2008:0503

CWE: 189